Documentation · API reference
GET/api/v1/admin/accounts

Every account, searched, filtered and sorted

Every account, searched, filtered and sorted. Operators only.

Parameters

qin the query
Looked for in names, addresses and sites
planin the query
A plan's id
statein the query
A subscription's state, or held, suspended, deletion
sortin the query
age, usage or seen

The answer

Status 200

AdminAccounts

now
integerneeded
plans
list of PlanViewneeded
rows
list of AdminAccountRowneeded
total
integerneededHow many there are before the search and the filters.

Asking

With your token from Settings
curl https://tidekeeper.eu/api/v1/admin/accounts \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/admin/accounts", {
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());